Get a user organization
Returns a single organization that the user has access to, specified by the organization id.
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "Example Ltd.",
"policyUrl": "https://stage-expense.findity.com/api/v1/expense/me/organizations/8ab28cb3660a709201660b02d91a0380/policies/documents/ff8080819391c420019391d884572201?X-Findity-Date=1733238956080&X-Findity-Expires=1733325356080&X-Findity-Credential=8ab28c5085e7cc290185e8b5a49d05b8&X-Findity-ClientApplicationId=16200214&X-Findity-Signature=b474357d403aad430dcd56f6f37342d32c8a05cac32734da4bc7f35cf34e590f",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#9cd8c4",
"secondaryAccentColor": "#4c8dc9",
"darkAccentColor": "#dad5c2",
"secondaryDarkAccentColor": "#2c5dad",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4",
"menuLogoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074f00d4",
"iconUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006174e00a4"
},
"settings": {
"bookingCountry": "SE",
"reportMaxNumberOfExpenses": 10,
"expenseReceiptMaxSize": 5,
"expenseEmail": "test@findity.com",
"supportSettings": {
"type": "url-dialog",
"title": "Support",
"value": "https://support.findity.com"
}
}
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: b0d18fe3c5864d05a05ce5656cb14696"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Query Parameters
optional properties to include
settings, design, meta.permissions Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
if user can connect new credit cards
if user can view expenses, i.e. is an employee of an organiation
if user can approve expenses in the current organization
if user can create expenses
if user can create expense reports
if user can send in single expenses
if user can send expense reports
if user is allowed to delete the account
if user has administration rights for the current organization, allowing them to manage organization settings, members, and related configuration
UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Hide child attributes
Hide child attributes
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hex color code
Hide child attributes
Hide child attributes
Max size in MB
Email to send expense receipts
Hide child attributes
Hide child attributes
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "Example Ltd.",
"policyUrl": "https://stage-expense.findity.com/api/v1/expense/me/organizations/8ab28cb3660a709201660b02d91a0380/policies/documents/ff8080819391c420019391d884572201?X-Findity-Date=1733238956080&X-Findity-Expires=1733325356080&X-Findity-Credential=8ab28c5085e7cc290185e8b5a49d05b8&X-Findity-ClientApplicationId=16200214&X-Findity-Signature=b474357d403aad430dcd56f6f37342d32c8a05cac32734da4bc7f35cf34e590f",
"meta": {
"permissions": {
"canAddCard": true,
"canViewExpenses": true,
"canApprove": false,
"canCreateExpense": true,
"canCreateReport": false,
"canSendExpenses": true,
"canSendReports": false,
"canDeleteAccount": false,
"canAdminister": false
}
},
"design": {
"accentColor": "#9cd8c4",
"secondaryAccentColor": "#4c8dc9",
"darkAccentColor": "#dad5c2",
"secondaryDarkAccentColor": "#2c5dad",
"textOnAccentColor": "#ffffff",
"textOnDarkAccentColor": "#000000",
"textOnSecondaryAccentColor": "#ffffff",
"textOnSecondaryDarkAccentColor": "#000000",
"logoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4",
"menuLogoUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006074f00d4",
"iconUrl": "https://expense.findity.com/api/resources/ff808181442fd36301443006174e00a4"
},
"settings": {
"bookingCountry": "SE",
"reportMaxNumberOfExpenses": 10,
"expenseReceiptMaxSize": 5,
"expenseEmail": "test@findity.com",
"supportSettings": {
"type": "url-dialog",
"title": "Support",
"value": "https://support.findity.com"
}
}
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: b0d18fe3c5864d05a05ce5656cb14696"
}
